/* --------------------------------------------------
Utility Classes
-------------------------------------------------- */
.item-card,
.root-card {
    transition: all .3s ease-in-out;
    cursor: pointer;
}

.item-card.active,
.root-card.active {
    border: 1px solid var(--tblr-primary) !important;
}

.item-card:hover,
.root-card:hover {
    border: 1px solid var(--tblr-primary) !important;
}

.item-card.disabled,
.root-card.disabled {
    opacity: 0.6;
    pointer-events: none;
    user-select: none;
}

.card-link {
    text-decoration: none;
    color: inherit;
}

.card-title {
    width: 100%;
    text-align: center;
}

.dashed-divider {
    border-top: 1px dashed #ddd;
}
.dashed-divider-dark {
    border-top: 2px dashed #555;
}

.empty-message {
    background-color: var(--tblr-gray-50);
    border: 1px solid var(--tblr-gray-200);
    color: var(--tblr-gray-800);
    padding: 40px;
    border-radius: 4px;
    margin: 10px 0;
    display: flex;
    flex-direction: column;
    gap: 20px;
    align-items: center;
    font-size: 12px;
}

.empty-message i {
    font-size: 60px;
}

/* --------------------------------------------------
Menu Cards & Products
-------------------------------------------------- */
.card-container {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(170px, 1fr));
    gap: 10px;
}

.card-container.grid-nowrap {
    grid-auto-flow: column;
    grid-auto-columns: 170px;
    overflow-x: auto;
}

.card-container .card {
    transition: all .3s ease-in-out;
    cursor: pointer;
}

.card-container .card.active {
    border: 1px solid var(--tblr-primary) !important;
}

.card-container .card:hover {
    border: 1px solid var(--tblr-primary) !important;
}

.card-container .card-link {
    text-decoration: none;
    color: inherit;
}

.card-container .card-title {
    width: 100%;
    text-align: center;
}

.card-container .card img.card-icon {
    width: 80px;
    height: 80px;
    object-fit: cover;
}
/* --------------------------------------------------
Invoice
-------------------------------------------------- */

#order-items-container {
    flex-grow: 1;
    overflow-y: auto;
    height: 200px; /* Fallback or initial height */
}

.badges-wrapper {
    min-width: fit-content;
}

.held-list {
    display: flex;
    flex-wrap: nowrap;
    overflow-x: auto;
    gap: 10px
}

.held-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 5px;
    background-color: var(--tblr-gray-100);
    border-radius: 6px;
    margin-bottom: 5px;
    cursor: pointer;
    min-width: fit-content;
    font-size: 10px;
}

.held-item:hover {
    background-color: #e9ecef;
}

.held-list .remove {
    cursor: pointer;
    padding: 4px;
    border-radius: 50%;
    transition: all 0.3s ease;
    color: color-mix(in srgb, var(--tblr-red) calc(var(--tblr-text-opacity, 1) * 100%), transparent) !important;
}

.held-list .remove:hover {
    background-color: color-mix(in srgb, var(--tblr-red-lt) calc(var(--tblr-bg-opacity, 1) * 100%), transparent) !important;
}

.order-item h6 {
    font-size: 15px;
    margin-bottom: 2px;
}

.order-item small {
    font-size: 14px;
}

.qty-input {
    width: 60px;
    text-align: center;
}

.qty-input:focus {
    box-shadow: none;
}

.qty-btn {
    width: 30px;
    height: 30px;
    border-radius: 50%;
    font-size: 18px;
    line-height: 1;
    padding: 0;
}

.summary * {
    font-size: 0.9rem;
}

/* Last div in the .summary class */
.summary > div:last-child {
    font-size: 1.2rem;
    font-weight: bold;
    text-transform: uppercase;
    margin-top: 5px;
}

#table-search {
    width: 350px;
}

.dining-table.busy {
    opacity: 0.6;
    pointer-events: none;
    user-select: none;
}

.dining-table.busy .available-img {
    display: none !important;
}

.dining-table.available .busy-img {
    display: none !important;
}

.loading-cover {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10;
}

[orders-datatable-container] tr {
    cursor: pointer;
}

[orders-datatable-container] tr:hover {
    --tblr-table-color-state: var(--tblr-table-active-color);
    --tblr-table-bg-state: var(--tblr-table-active-bg);
}

[order-items-datatable-container] tr.voided {
    opacity: 0.6;
    text-decoration: line-through;
}

/* --------------------------------------------------
POS Navbar
-------------------------------------------------- */
.pos-navbar {
    margin-top: calc(-1 * var(--tblr-page-padding-y));
    padding-block: calc(0.5 * var(--tblr-page-padding-y));
}

.pos-offcanvas .list-group-item:hover,
.pos-offcanvas .list-group-item:active {
    color: var(--tblr-body-color);
    text-decoration: none;
    background-color: color-mix(in srgb, #6c7a91 4%, transparent) !important;
}
